CppUnit project page | FAQ | CppUnit home page

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
TextTestResult Class Reference
Tracking test execution

Holds printable test result (DEPRECATED).deprecated Use class TextTestProgressListener and TextOutputter instead. More...

`#include <TextTestResult.h>`

Inheritance diagram for TextTestResult:
[legend]
Collaboration diagram for TextTestResult:
[legend]

List of all members.

## Public Member Functions
| TextTestResult ()
virtual void | addFailure (const TestFailure &failure)
| Called to add a failure to the list of failures.
virtual void | startTest (Test *test)
| Informs TestListener that a test will be started.
virtual void | print (OStream &stream)

## Detailed Description

Holds printable test result (DEPRECATED).

deprecated Use class TextTestProgressListener and TextOutputter instead.

## Constructor & Destructor Documentation

CPPUNIT_NS_BEGIN TextTestResult::TextTestResult | ( |  | ) |

## Member Function Documentation

void TextTestResult::addFailure | ( | const TestFailure & | failure | ) | `[virtual]`

Called to add a failure to the list of failures.

Reimplemented from TestResult.

void TextTestResult::print | ( | OStream & | stream | ) | `[virtual]`

void TextTestResult::startTest | ( | Test * | test | ) | `[virtual]`

Informs TestListener that a test will be started.

Reimplemented from TestResult.

The documentation for this class was generated from the following files:

- TextTestResult.h
- TextTestResult.cpp

| hosts this site. |  | Send comments to: CppUnit Developers